Update Organization Member Role
PUThttps://api.confident-ai.com/v1/organization/members/{userId}
Changes a member's organization role. Assigning the Owner role to another member transfers ownership, demoting the current Owner to Admin.
curl -X PUT "https://api.confident-ai.com/v1/organization/members/{userId}" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"roleId": "role-uuid-1"
}'{
"success": true,
"data": {
"member": {
"id": "user-uuid-2",
"email": "bob@example.com",
"name": "Bob",
"image": null,
"organizationRole": {
"id": "role-uuid-1",
"name": "Admin"
}
}
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
userIdstringRequiredThe unique identifier of the member.
Request body
roleIdstringRequiredThe id of the role to assign to the member.
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
memberobjectShow 5 propertiesHide 5 properties
idstringUnique identifier for the member
emailstringThe member's email address
namestringThe member's display name
imagestringURL of the member's avatar image
organizationRoleobjectThe member's organization role, or
nullif they have no roleShow 2 propertiesHide 2 properties
idstringUnique identifier
namestringName